﻿namespace anbs_cp.Enums;

/// <summary>
/// Трансформация текста
/// </summary>
public enum ETextTransform
{
    /// <summary>
    /// Как оригинал
    /// </summary>
    None = 0,

    /// <summary>
    /// Все буквы строчные (аналог ToLower)
    /// </summary>
    LowerCase = 1,

    /// <summary>
    /// Все буквы прописные (аналог ToUpper)
    /// </summary>
    UpperCase = 2,

    /// <summary>
    /// Первая буква заглавная, а остальные строчные
    /// </summary>
    FirstUpper = 3
}